> ## Documentation Index
> Fetch the complete documentation index at: https://docs.api.rask.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Run Lip-sync

> Run lip-sync task for project id provided.



## OpenAPI

````yaml put /v2/projects/{project_id}/lipsync
openapi: 3.1.0
info:
  title: Rask API documentation
  version: 0.2.0
servers:
  - description: API
    url: https://api.rask.ai
security: []
paths:
  /v2/projects/{project_id}/lipsync:
    put:
      tags:
        - projects
      summary: Run Lip-sync
      description: Run lip-sync task for project id provided.
      operationId: run_lipsync_task_v2_projects__project_id__lipsync_put
      parameters:
        - name: project_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Project ID
            description: Project ID
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/LipsyncTaskData'
      responses:
        '200':
          description: Lip-sync task response.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/LipsyncTaskResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    LipsyncTaskData:
      properties:
        is_multiple_speakers:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Is multiple speakers present
          description: >-
            Whether the video always has one face on screen at a time, or
            multiple. If unsure, set to `true`.
        is_free_lipsync:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Is free lip-sync
          description: >-
            If specified, free lip-sync credits will be charged instead of
            minutes
      type: object
      title: LipsyncTaskData
    LipsyncTaskResponse:
      properties:
        tasks_in_lipsync_queue:
          anyOf:
            - type: integer
            - type: 'null'
          title: Tasks in lip-sync queue
          description: Number of tasks in the lip-sync queue before your project
        lipsync_task_status:
          anyOf:
            - type: string
            - type: 'null'
          title: Lip-sync task status
          description: Lip-sync task status
          enum:
            - started
            - done
            - failed
      type: object
      title: LipsyncTaskResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    HTTPBearer:
      scheme: bearer
      type: http

````